/*
 * Copyright (c) 1988 University College London
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms are permitted
 * provided that the above copyright notice and this paragraph are
 * duplicated in all such forms and that any documentation,
 * advertising materials, and other materials related to such
 * distribution and use acknowledge that the software was developed
 * by the Department of Computer Science, University College London.
 * The name of the University may not be used to
 * endorse or promote products derived from this software without
 * specific prior written permission.
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
 * WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

/* event report definitions */

#define MSYS_REP        1
#define TEINV_REP       2
#define TCEPT_REP       3
#define TENT_REP        4


#define MSYSTEM_CREATION_EVENT  1
#define MSYSTEM_SHUTDOWN_EVENT  2

#define TEINV_CREATION_EVENT    11
#define TEINV_SHUTDOWN_EVENT    12
#define CRFAILIN_THLD_EVENT     13
#define CRFAILOUT_THLD_EVENT    14
#define CRCONGST_THLD_EVENT     15
#define CRCONFERR_THLD_EVENT    16
#define CRPROTERR_THLD_EVENT    17
#define CKSUMERR_THLD_EVENT     18

#define TCEPT_CREATION_EVENT    21
#define TCEPT_SHUTDOWN_EVENT    22
#define PDUSENT_THLD_EVENT      23
#define PDURECVD_THLD_EVENT     24
#define PDURESENT_THLD_EVENT    25
