###############################################################################
#   Instructions to Make, for compilation of ISODE processes for 4.4BSD UNIX
###############################################################################

###############################################################################
#
# $Header: /f/osi/config/RCS/bsd44.make,v 6.1 89/08/25 14:13:56 mrose Exp $
#
#
# $Log:	bsd44.make,v $
# Revision 6.1  89/08/25  14:13:56  mrose
# touch-up
# 
# Revision 6.0  89/07/22  16:03:02  mrose
# *** empty log message ***
# 
###############################################################################

###############################################################################
#
#				 NOTICE
#
#    Acquisition, use, and distribution of this module and related
#    materials are subject to the restrictions of a license agreement.
#    Consult the Preface in the User's Manual for the full terms of
#    this agreement.
#
###############################################################################


###############################################################################
# Options
###############################################################################

OPTIONS	=	-I. -I$(TOPDIR)h

HDIR	=	$(TOPDIR)h/
UTILDIR	=	$(TOPDIR)util/
BINDIR	=	/usr/local/isode/
SBINDIR	=	/usr/sbin/
ETCDIR	=	/etc/
LOGDIR	=	/var/log/
INCDIRM	=	/usr/include/isode
INCDIR	=	$(INCDIRM)/
PEPYDIRM=	$(INCDIR)pepy
PEPYDIR	=	$(PEPYDIRM)/
LIBDIR	=	/usr/lib/
LINTDIR	=	/usr/libdata/lint/

SYSTEM	=	-bsd42
MANOPTS	=	-bsd44


###############################################################################
# Programs and Libraries
###############################################################################

MAKE	=	./make DESTDIR=$(DESTDIR) $(MFLAGS) -k
SHELL	=	/bin/sh

CC      =	cc
CFLAGS  =	-O    $(OPTIONS)
LINT    =	lint
LFLAGS  =	-bhuz $(OPTIONS)
LD	=	ld
LDCC	=	$(CC)
LDFLAGS =	-s
ARFLAGS	=

LN	=	ln

# native to 4.4BSD UNIX
LSOCKET	= /usr/lib/libcompat.a


###############################################################################
# Generation Rules for library modules
###############################################################################

.c.o:;		$(CC) $(CFLAGS) -c $*.c
		-ld -x -r $@
		mv a.out $@
