###############################################################################
#   Instructions to Make, for compilation of ISODE processes for cheetah (SunOS)
###############################################################################

###############################################################################
#
# $Header: /f/osi/config/RCS/cheetah.make,v 6.2 89/07/23 14:32:43 mrose Exp $
#
#
# $Log:	cheetah.make,v $
# Revision 6.2  89/07/23  14:32:43  mrose
# bsd44
# 
# Revision 6.1  89/05/16  16:04:54  mrose
# ...
# 
# Revision 6.0  89/05/14  19:28:41  mrose
# *** empty log message ***
# 
# Revision 6.1  89/03/31  10:34:19  mrose
# *** empty log message ***
# 
# Revision 6.1  89/03/31  10:33:50  mrose
# a bit more
# 
# Revision 6.0  89/03/18  23:26:18  mrose
# Release 5.0
# 
###############################################################################

###############################################################################
#
#				 NOTICE
#
#    Acquisition, use, and distribution of this module and related
#    materials are subject to the restrictions of a license agreement.
#    Consult the Preface in the User's Manual for the full terms of
#    this agreement.
#
###############################################################################


###############################################################################
# Options
###############################################################################

OPTIONS	=	-I. -I$(TOPDIR)h -DDEBUG

HDIR	=	$(TOPDIR)h/
UTILDIR	=	$(TOPDIR)util/
BINDIR	=	/usr/uci/
SBINDIR	=	/usr/etc/
ETCDIR	=	/usr/etc/
LOGDIR	=	/usr/spool/isode/
INCDIRM	=	/usr/include/isode
INCDIR	=	$(INCDIRM)/
PEPYDIRM=	$(INCDIR)pepy
PEPYDIR	=	$(PEPYDIRM)/
LIBDIR	=	/usr/lib/
LINTDIR	=	/usr/lib/lint/

SYSTEM	=	-bsd42
MANOPTS	=	-local


###############################################################################
# Programs and Libraries
###############################################################################

MAKE	=	./make DESTDIR=$(DESTDIR) $(MFLAGS) -k
SHELL	=	/bin/sh

CC      =	cc
#CFLAGS  =	-g -O $(OPTIONS)
CFLAGS  =	-g    $(OPTIONS) -temp=/usr/tmp
LINT    =	lint
LFLAGS  =	-bhuz $(OPTIONS)
LD	=	ld
LDCC	=	$(CC)
LDFLAGS =	-g
ARFLAGS	=

LN	=	ln

# AET dbm
AETDBM	=	aetbuild

# native to 4.2BSD UNIX
LSOCKET	=	-ldbm


###############################################################################
# Generation Rules for library modules
###############################################################################

.c.o:;		$(CC) $(CFLAGS) -c $*.c
		-ld -x -r $@
		mv a.out $@
