###############################################################################
#   Instructions to Make, for compilation of ISODE processes for ROS
###############################################################################

###############################################################################
#
# $Header: /f/osi/config/RCS/ros.make,v 6.2 89/08/25 14:14:03 mrose Exp $
#
#
# $Log:	ros.make,v $
# Revision 6.2  89/08/25  14:14:03  mrose
# touch-up
# 
# Revision 6.1  89/07/23  14:32:54  mrose
# bsd44
# 
# Revision 6.0  89/03/18  23:26:37  mrose
# Release 5.0
# 
###############################################################################

###############################################################################
#
#				 NOTICE
#
#    Acquisition, use, and distribution of this module and related
#    materials are subject to the restrictions of a license agreement.
#    Consult the Preface in the User's Manual for the full terms of
#    this agreement.
#
###############################################################################


###############################################################################
# Options
###############################################################################

OPTIONS	=	-I. -I$(TOPDIR)h -I/usr/4.2/include

HDIR	=	$(TOPDIR)h/
UTILDIR	=	$(TOPDIR)util/
BINDIR	=	/usr/local/bin/
SBINDIR	=	/usr/etc/
ETCDIR	=	/usr/etc/
LOGDIR	=	/usr/tmp/
INCDIRM	=	/usr/include/isode
INCDIR	=	$(INCDIRM)/
PEPYDIRM=	$(INCDIR)pepy
PEPYDIR	=	$(PEPYDIRM)/
LIBDIR	=	/usr/lib/
LINTDIR	=	/usr/4.2/lib/lint/

SYSTEM	=	-ros
MANOPTS	=	-ros


###############################################################################
# Programs and Libraries
###############################################################################

MAKE	=	./make DESTDIR=$(DESTDIR) $(MFLAGS) -k
SHELL	=	/bin/sh

CC      =	rc
CFLAGS  =	     $(OPTIONS)
LINT    =	lint
LFLAGS  =	-bhu $(OPTIONS)
LD	=	ld
LDCC	=	$(LD)
LDFLAGS =	-V 5 -s /usr/4.2/lib/crt0.o
ARFLAGS	=

LN	=	ln

# get 4.2BSD libc
LSOCKET	=	/usr/4.2/lib/libc.a


###############################################################################
# Generation Rules for library modules
###############################################################################

.c.o:;		$(CC) $(CFLAGS) -c $*.c
