###############################################################################
#   Instructions to Make, for compilation of ISODE processes for SunOS
#	release 4
###############################################################################

###############################################################################
#
# $Header: /f/osi/config/RCS/sunos4.make,v 6.2 89/08/25 14:14:08 mrose Exp $
#
#
# $Log:	sunos4.make,v $
# Revision 6.2  89/08/25  14:14:08  mrose
# touch-up
# 
# Revision 6.1  89/07/23  14:33:01  mrose
# bsd44
# 
# Revision 6.0  89/03/18  23:26:48  mrose
# Release 5.0
# 
###############################################################################

###############################################################################
#
#				 NOTICE
#
#    Acquisition, use, and distribution of this module and related
#    materials are subject to the restrictions of a license agreement.
#    Consult the Preface in the User's Manual for the full terms of
#    this agreement.
#
###############################################################################


###############################################################################
# Options
###############################################################################

OPTIONS	=	-I. -I$(TOPDIR)h

HDIR	=	$(TOPDIR)h/
UTILDIR	=	$(TOPDIR)util/
BINDIR	=	/usr/local/bin/
SBINDIR	=	/usr/etc/
ETCDIR	=	/usr/etc/
LOGDIR	=	/usr/tmp/
INCDIRM	=	/usr/include/isode
INCDIR	=	$(INCDIRM)/
PEPYDIRM=	$(INCDIR)pepy
PEPYDIR	=	$(PEPYDIRM)/
LIBDIR	=	/usr/lib/
LINTDIR	=	/usr/lib/lint/

SYSTEM	=	-bsd42
MANOPTS	=	-bsd42


###############################################################################
# Programs and Libraries
###############################################################################

MAKE	=	./make DESTDIR=$(DESTDIR) $(MFLAGS) -k
SHELL	=	/bin/sh

CC      =	cc
# -O loses...
CFLAGS  =	      $(OPTIONS)
LINT    =	lint
LFLAGS  =	-bhuz $(OPTIONS)
LD	=	ld
LDCC	=	$(CC)
LDFLAGS =	-s
ARFLAGS	=

LN	=	ln

# native to 4.2BSD UNIX
LSOCKET	=


###############################################################################
# Generation Rules for library modules
###############################################################################

.c.o:;		$(CC) $(CFLAGS) -c $*.c
		-ld -x -r $@
		mv a.out $@
