###############################################################################
#   Instructions to Make, for compilation of ISODE processes for SVR2 with
#	WIN/TCP
###############################################################################

###############################################################################
#
# $Header: /f/osi/config/RCS/sys52-win.make,v 6.1 89/07/23 14:33:10 mrose Exp $
#
#
# $Log:	sys52-win.make,v $
# Revision 6.1  89/07/23  14:33:10  mrose
# bsd44
# 
# Revision 6.0  89/03/18  23:26:55  mrose
# Release 5.0
# 
###############################################################################

###############################################################################
#
#				 NOTICE
#
#    Acquisition, use, and distribution of this module and related
#    materials are subject to the restrictions of a license agreement.
#    Consult the Preface in the User's Manual for the full terms of
#    this agreement.
#
###############################################################################


###############################################################################
# Options
###############################################################################

OPTIONS	=	-I. -I$(TOPDIR)h -I/usr/netinclude

HDIR	=	$(TOPDIR)h/
UTILDIR	=	$(TOPDIR)util/
BINDIR	=	/usr/local/bin/
SBINDIR	=	/usr/etc/
ETCDIR	=	/usr/etc/
LOGDIR	=	/usr/tmp/
INCDIRM	=	/usr/include/isode
INCDIR	=	$(INCDIRM)/
PEPYDIRM=	$(INCDIR)pepy
PEPYDIR	=	$(PEPYDIRM)/
LIBDIR	=	/usr/lib/
LINTDIR	=	/usr/lib/

SYSTEM	=	-sys5
MANOPTS	=	-sys5


###############################################################################
# Programs and Libraries
###############################################################################

MAKE	=	./make DESTDIR=$(DESTDIR) $(MFLAGS) -k
SHELL	=	/bin/sh

CC      =	cc
CFLAGS  =	-g    $(OPTIONS)
LINT    =	lint
LFLAGS  =	-bhuz $(OPTIONS)
LD	=	ld
LDCC	=	$(CC)
LDFLAGS =	
ARFLAGS	=

LN	=	ln

# WIN TCP/IP software
LSOCKET	=	-lnet


###############################################################################
# Generation Rules for library modules
###############################################################################

.c.o:;		$(CC) $(CFLAGS) -c $*.c
