/*
 * Copyright (c) 1988 University College London
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms are permitted
 * provided that the above copyright notice and this paragraph are
 * duplicated in all such forms and that any documentation,
 * advertising materials, and other materials related to such
 * distribution and use acknowledge that the software was developed
 * by the Department of Computer Science, University College London.
 * The name of the University may not be used to
 * endorse or promote products derived from this software without
 * specific prior written permission.
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
 * WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

/* oidcopy.c - copy an OID to an OIDentifier struct */

/*
 * By Simon Walton, July 1988
 */

#include <stdio.h>
#include "isode/psap.h"

char * malloc();

/* LINTLIBRARY */

OID oid_copy(o1, o2)
OID o1, o2;
{
register unsigned * ip;
int i;
if ( (ip = (unsigned*) malloc((unsigned) i = o1->oid_nelem * sizeof(unsigned)))
    == NULL) return (NULL);
bcopy(o1 -> oid_elements, o2 -> oid_elements = ip, i);
o2 -> oid_nelem = o1 -> oid_nelem;
return o2;
}
