#
# Copyright (c) 1988 University College London
# All rights reserved.
#
# Redistribution and use in source and binary forms are permitted
# provided that the above copyright notice and this paragraph are
# duplicated in all such forms and that any documentation,
# advertising materials, and other materials related to such
# distribution and use acknowledge that the software was developed
# by the Department of Computer Science, University College London.
# The name of the University may not be used to
# endorse or promote products derived from this software without
# specific prior written permission.
# THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
# WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.
#

# Configuration information for all Makefiles
#
# By George Pavlou, October 1988


ISODE	=	/usr/ucl/lib/isode
INC	=	/usr/ucl/include
H	=	$(TOP)/h
MSAP	=	$(TOP)/msap
BIN	=	$(TOP)/bin
DAEMON	=	$(TOP)/daemon
LIB	=	$(TOP)/lib
ETCDIR	=	$(TOP)
OPTIONS =	-I$(H) -I$(INC) -DDEBUG
CFLAGS	=	$(OPTIONS) -gx #-O
LFLAGS	=	-bhuz $(OPTIONS) #-DSUNWIN -DVAX


.SUFFIXES:	.py .c .o

.py.c:;		pepy $<
		sed '/^# line/d' $*.c > $*.c.tmp
		mv $*.c.tmp $*.c
.py.o:;		pepy $<
		sed '/^# line/d' $*.c > $*.c.tmp
		mv $*.c.tmp $*.c
		cc $(CFLAGS) -c $*.c
.c.o:;		cc $(CFLAGS) -c $*.c
