/*
 * Copyright (c) 1988 University College London
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms are permitted
 * provided that the above copyright notice and this paragraph are
 * duplicated in all such forms and that any documentation,
 * advertising materials, and other materials related to such
 * distribution and use acknowledge that the software was developed
 * by the Department of Computer Science, University College London.
 * The name of the University may not be used to
 * endorse or promote products derived from this software without
 * specific prior written permission.
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
 * WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

/* General Definitions */

#define YES     1
#define NO      0

#define and     &&
#define or      ||

#define EVER    ;;
#define FOREVER 1

#ifndef OK
#define OK      0
#define NOTOK  -1
#endif

#ifndef DONE
#define DONE    1
#endif

#ifndef NULLCP
#define NULLCP ((char *) 0)
#endif


/*macros for low-order and high-order bytes of a 16-bit word*/

#define lowbyte(w)      ((w) & 0377)
#define highbyte(w)     lowbyte((w) >> 8)
