###############################################################################
# Options
###############################################################################

OPTIONS =       -I$(TOPDIR)h -DDEBUG

DSAP    =       dsap
QUIPU   =       quipu

HDIR    =       $(TOPDIR)h/
UTILDIR =       $(TOPDIR)util/
BINDIR  =       /usr/ucl/
ETCDIR  =       /usr/ucl/etc/isode/
INCDIRM =       /usr/ucl/include/isode
INCDIR  =       $(INCDIRM)/
PEPYDIRM=       $(INCDIR)pepy
PEPYDIR =       $(PEPYDIRM)/
LIBDIR  =       /usr/ucl/lib/isode/
LINTDIR =       /usr/ucl/lib/lint/isode/

SYSTEM  =       -bsd42
MANOPTS =       -bsd42


###############################################################################
# Programs and Libraries
###############################################################################

MAKE    =       ./make DESTDIR=$(DESTDIR) $(MFLAGS) -k
SHELL   =       /bin/sh

CC      =       cc
CFLAGS  =       -O1    $(OPTIONS)
LINT    =       lint
LFLAGS  =       -bhuz $(OPTIONS)
LD      =       ld
LDCC    =       $(CC)
LDFLAGS =
ARFLAGS =
LN      =       ln

# native to 4.2BSD UNIX
LSOCKET =


###############################################################################
# Generation Rules for library modules
###############################################################################

.c.o:;          $(CC) $(CFLAGS) -c $*.c
		-ld -x -r $@
		mv a.out $@
