###############################################################################
#   Instructions to Make, for compilation of ISODE processes for Apollo
###############################################################################

###############################################################################
#
# $Header: /f/osi/config/RCS/apollo.make,v 6.1 89/07/22 16:04:31 mrose Exp $
#
# Contributed by John Brezak, Apollo Computer, Inc.
#
#
# $Log:	apollo.make,v $
# Revision 6.1  89/07/22  16:04:31  mrose
# bsd44
# 
# Revision 6.0  89/03/18  23:26:05  mrose
# Release 5.0
# 
###############################################################################

###############################################################################
#
#				 NOTICE
#
#    Acquisition, use, and distribution of this module and related
#    materials are subject to the restrictions of a license agreement.
#    Consult the Preface in the User's Manual for the full terms of
#    this agreement.
#
###############################################################################


###############################################################################
# Options
###############################################################################

TOPDIR	=	/isode/
HDIR	=	$(TOPDIR)h/
UTILDIR	=	$(TOPDIR)util/
BINDIR	=	/isode/bin/
SBINDIR	=	/isode/etc/
ETCDIR	=	/isode/etc/
LOGDIR	=	/isode/logs/
MANDIR  =       /isode/man/
INCDIRM	=	/usr/include/isode
INCDIR	=	$(INCDIRM)/
PEPYDIRM=	$(INCDIR)pepy
PEPYDIR	=	$(PEPYDIRM)/
LIBDIR	=	/isode/lib/
LINTDIR	=	/isode/lib/lint/

SYSTEM	=	-bsd42
MANOPTS	=	-bsd42

OPTIONS	=	-I/isode/h -A systype,any -A cpu,3000


###############################################################################
# Programs and Libraries
###############################################################################

MAKE	=	./make DESTDIR=$(DESTDIR) $(MFLAGS) -k
SHELL	=	/bin/sh

CC      =	cc
#CFLAGS  =	-O -g -w $(OPTIONS)
#CFLAGS  =	-g -w $(OPTIONS)
LINT    =	lint
LFLAGS  =	-bhuz $(OPTIONS)
LD	=	ld
LDCC	=	$(CC)
LDFLAGS =	#-s
ARFLAGS	=

LN	=	ln

# native to 4.2BSD UNIX
CSOCKET	=
OSOCKET	=
LSOCKET	=       # -ldbm


###############################################################################
# Generation Rules for library modules
###############################################################################

.c.o:;		$(CC) $(CFLAGS) -c $*.c
