###############################################################################
#   Instructions to Make, for compilation of ISODE processes for A/UX 1.1
###############################################################################

###############################################################################
#
# $Header: /f/osi/config/RCS/aux.make,v 6.1 89/07/22 16:04:32 mrose Exp $
#
#
# $Log:	aux.make,v $
# Revision 6.1  89/07/22  16:04:32  mrose
# bsd44
# 
# Revision 6.0  89/05/18  21:09:40  mrose
# *** empty log message ***
# 
# 
###############################################################################

###############################################################################
#
#				 NOTICE
#
#    Acquisition, use, and distribution of this module and related
#    materials are subject to the restrictions of a license agreement.
#    Consult the Preface in the User's Manual for the full terms of
#    this agreement.
#
###############################################################################


###############################################################################
# Options
###############################################################################

OPTIONS	=	-I. -I$(TOPDIR)h

HDIR	=	$(TOPDIR)h/
UTILDIR	=	$(TOPDIR)util/
BINDIR	=	/usr/local/bin/
SBINDIR	=	//usr/local/etc/
ETCDIR	=	//usr/local/etc/
LOGDIR	=	/tmp/
INCDIRM	=	/usr/include/isode
INCDIR	=	$(INCDIRM)/
PEPYDIRM=	$(INCDIR)pepy
PEPYDIR	=	$(PEPYDIRM)/
LIBDIR	=	/usr/local/lib/
LINTDIR	=	/usr/lib/lint/

SYSTEM	=	-sys5
MANOPTS	=	-sys5


###############################################################################
# Programs and Libraries
###############################################################################

MAKE	=	./make DESTDIR=$(DESTDIR) $(MFLAGS) -k
SHELL	=	/bin/sh

CC      =	cc -B /usr/lib/big/
CFLAGS  =	-O    $(OPTIONS)
LINT    =	lint
LFLAGS  =	-bhuz $(OPTIONS)
LD	=	ld
LDCC	=	$(CC)
LDFLAGS =	-s
ARFLAGS	=

LN	=	ln

# QUIPU
DSAP    =       dsap
QUIPU   =       quipu

# native to 4.2BSD UNIX
LSOCKET	=


###############################################################################
# Generation Rules for library modules
###############################################################################

..c.o:;		$(CC) $(CFLAGS) -c $*.c

