/* bsd43-rt.h - site configuration file for RT PC running 4.3BSD UNIX */

/* 
 * $Header: /usr/files/osi/config/RCS/bsd43-rt.h,v 6.1 89/06/09 08:11:32 mrose Exp $
 *
 * Contributed by Jacob Rekhter, T.J. Watson Research Center, IBM Corp.
 *
 *
 * $Log:	bsd43-rt.h,v $
 * Revision 6.1  89/06/09  08:11:32  mrose
 * touch-up
 * 
 * Revision 6.0  89/03/18  23:26:13  mrose
 * Release 5.0
 * 
 */

/*
 *				  NOTICE
 *
 *    Acquisition, use, and distribution of this module and related
 *    materials are subject to the restrictions of a license agreement.
 *    Consult the Preface in the User's Manual for the full terms of
 *    this agreement.
 *
 */


#ifndef	_CONFIG_
#define	_CONFIG_

#define	BSD42			/* Berkeley UNIX */
#define	WRITEV			/*   real Berkeley UNIX */
#define	BSD43			/*   4.3BSD or later */

#define	TCP			/* has TCP/IP (of course) */
#define	SOCKETS			/*   provided by sockets */

#define	RT			/* RT/PC */

#ifdef	__STDC__		/* hc thinks it's ANSI C, but it isn't! */
#undef	__STDC__
#endif

#endif
