###############################################################################
#   Instructions to Make, for compilation of ISODE processes for RISC/OS
###############################################################################

###############################################################################
#
# $Header: /f/osi/config/RCS/mips-x.make,v 6.5 89/08/22 14:41:44 mrose Exp $
#
#
# $Log:	mips-x.make,v $
# Revision 6.5  89/08/22  14:41:44  mrose
# update
# 
# Revision 6.4  89/08/22  14:40:44  mrose
# update
# 
# Revision 6.3  89/08/02  20:06:01  mrose
# -O
# 
# Revision 6.2  89/07/23  14:32:46  mrose
# bsd44
# 
# Revision 6.1  89/07/05  21:18:41  mrose
# touch-up
# 
# Revision 6.0  89/07/05  21:17:37  mrose
# *** empty log message ***
# 
###############################################################################

###############################################################################
#
#				 NOTICE
#
#    Acquisition, use, and distribution of this module and related
#    materials are subject to the restrictions of a license agreement.
#    Consult the Preface in the User's Manual for the full terms of
#    this agreement.
#
###############################################################################


###############################################################################
# Options
###############################################################################

OPTIONS	=	-I. -I$(TOPDIR)h

HDIR	=	$(TOPDIR)h/
UTILDIR	=	$(TOPDIR)util/
BINDIR	=	/usr/local/bin/isode/
SBINDIR	=	/usr/etc/isode/sbin/
ETCDIR	=	/usr/etc/isode/etc/
LOGDIR	=	/usr/spool/isode/
INCDIRM	=	/usr/include/isode
INCDIR	=	$(INCDIRM)/
PEPYDIRM=	$(INCDIR)pepy
PEPYDIR	=	$(PEPYDIRM)/
LIBDIR	=	/usr/lib/
### LINTDIR IS WRONG ###
LINTDIR	=	/usr/lib/lint/

SYSTEM	=	-mips
MANOPTS	=	-sys5


###############################################################################
# Programs and Libraries
###############################################################################

MAKE	=	./make DESTDIR=$(DESTDIR) $(MFLAGS) -k
SHELL	=	/bin/sh

CC      =	cc
CFLAGS  =	-O    $(OPTIONS)
LINT    =	lint
LFLAGS  =	-bhuz $(OPTIONS)
LD	=	ld
LDCC	=	$(CC)
LDFLAGS =	
ARFLAGS	=

LN	=	ln

# native to 4.2BSD UNIX
LSOCKET	=	


###############################################################################
# Generation Rules for library modules
###############################################################################

.c.o:;		$(CC) $(CFLAGS) -c $*.c
		-ld -x -r $@
		mv a.out $@
