###############################################################################
#   Instructions to Make, for compilation of ISODE processes for UMIPS/BSD
###############################################################################

###############################################################################
#
# $Header: /f/osi/config/RCS/mips.make,v 6.5 89/08/25 14:14:00 mrose Exp $
#
#
# $Log:	mips.make,v $
# Revision 6.5  89/08/25  14:14:00  mrose
# touch-up
# 
# Revision 6.4  89/07/23  14:32:48  mrose
# bsd44
# 
# Revision 6.3  89/06/23  23:51:49  mrose
# mips
# 
# Revision 6.2  89/06/23  23:11:52  mrose
# no optimizer
# 
# Revision 6.1  89/06/23  11:27:44  mrose
# touch-up
# 
# Revision 6.0  89/06/09  06:07:52  mrose
# *** empty log message ***
# 
###############################################################################

###############################################################################
#
#				 NOTICE
#
#    Acquisition, use, and distribution of this module and related
#    materials are subject to the restrictions of a license agreement.
#    Consult the Preface in the User's Manual for the full terms of
#    this agreement.
#
###############################################################################


###############################################################################
# Options
###############################################################################

OPTIONS	=	-I. -I$(TOPDIR)h

HDIR	=	$(TOPDIR)h/
UTILDIR	=	$(TOPDIR)util/
BINDIR	=	/usr/local/bin/
SBINDIR	=	/usr/etc/
ETCDIR	=	/usr/etc/
LOGDIR	=	/usr/tmp/
INCDIRM	=	/usr/include/isode
INCDIR	=	$(INCDIRM)/
PEPYDIRM=	$(INCDIR)pepy
PEPYDIR	=	$(PEPYDIRM)/
LIBDIR	=	/usr/lib/
LINTDIR	=	/usr/lib/lint/

SYSTEM	=	-mips
MANOPTS	=	-bsd42


###############################################################################
# Programs and Libraries
###############################################################################

MAKE	=	./make DESTDIR=$(DESTDIR) $(MFLAGS) -k
SHELL	=	/bin/sh

CC      =	cc
# -O loses...
CFLAGS  =	      $(OPTIONS)
LINT    =	lint
LFLAGS  =	-bhuz $(OPTIONS)
LD	=	ld
LDCC	=	$(CC)
LDFLAGS =	
ARFLAGS	=

LN	=	ln

# native to 4.2BSD UNIX
LSOCKET	=	-lresolv


###############################################################################
# Generation Rules for library modules
###############################################################################

.c.o:;		$(CC) $(CFLAGS) -c $*.c
		-ld -x -r $@
		mv a.out $@
