/* sunlink.h - site configuration file for SunLink OSI */

/* 
 * $Header: /usr/files/osi/config/RCS/sunlink.h,v 6.1 89/06/09 08:12:17 mrose Exp $
 *
 *
 * $Log:	sunlink.h,v $
 * Revision 6.1  89/06/09  08:12:17  mrose
 * touch-up
 * 
 * Revision 6.0  89/03/18  23:26:41  mrose
 * Release 5.0
 * 
 */

/*
 *				  NOTICE
 *
 *    Acquisition, use, and distribution of this module and related
 *    materials are subject to the restrictions of a license agreement.
 *    Consult the Preface in the User's Manual for the full terms of
 *    this agreement.
 *
 */


#ifndef	_CONFIG_
#define	_CONFIG_

#define	BSD42			/* Berkeley UNIX */
#define	WRITEV			/*   real Berkeley UNIX */

#define	TCP			/* has TCP/IP (of course) */
#define	SOCKETS			/*   provided by sockets */

#define	X25			/* has X.25 */
#define	SUN_X25			/*   provided by SunLink X.25 */

#define TP4			/* has TP4 */
#define SUN_TP4			/*   provided by SunLink OSI */
#define	SUNLINK_5_2		/*     define if using SunLink OSI release 5.2
				       or greater */

#define	NFS			/* network filesystem -- has getdirentries() */

#endif
