###############################################################################
#   Instructions to Make, for compilation of ISODE processes for RT PC
#	running AIX
###############################################################################

###############################################################################
#
# $Header: /f/osi/config/RCS/sys52-rt.make,v 6.1 89/07/23 14:33:05 mrose Exp $
#
# Contributed by by Jacob Rekhter, T.J. Watson Research Center, IBM Corp.
#
#
# $Log:	sys52-rt.make,v $
# Revision 6.1  89/07/23  14:33:05  mrose
# bsd44
# 
# Revision 6.0  89/03/18  23:26:51  mrose
# Release 5.0
# 
###############################################################################

###############################################################################
#
#				 NOTICE
#
#    Acquisition, use, and distribution of this module and related
#    materials are subject to the restrictions of a license agreement.
#    Consult the Preface in the User's Manual for the full terms of
#    this agreement.
#
###############################################################################


###############################################################################
# Options
###############################################################################

OPTIONS	=	-I. -I$(TOPDIR)h -I/usr/include/bsd -DDEBUG -Nn2000

HDIR	=	$(TOPDIR)h/
UTILDIR	=	$(TOPDIR)util/
BINDIR	=	/usr/local/bin/
SBINDIR	=	/usr/etc/
ETCDIR	=	/usr/etc/
LOGDIR	=	/usr/tmp/
INCDIRM	=	/usr/include/isode
INCDIR	=	$(INCDIRM)/
PEPYDIRM=	$(INCDIR)pepy
PEPYDIR	=	$(PEPYDIRM)/
LIBDIR	=	/usr/lib/
LINTDIR	=	/usr/lib/

SYSTEM	=	-aix
MANOPTS	=	-aix


###############################################################################
# Programs and Libraries
###############################################################################

MAKE	=	./make DESTDIR=$(DESTDIR) $(MFLAGS) -k
SHELL	=	/bin/sh

CC      =	cc
CFLAGS  =	$(OPTIONS) # -g
LINT    =	lint
LFLAGS  =	-bhuz $(OPTIONS)
LD	=	ld
LDCC	=	$(CC)
LDFLAGS =	-ns
ARFLAGS	=

LN	=	ln

# AIX TCP/IP software
LSOCKET	=	-lsock -lbsd


###############################################################################
# Generation Rules for library modules
###############################################################################

.c.o:;		$(CC) $(CFLAGS) -c $*.c
