/*
 * Copyright (c) 1988 University College London
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms are permitted
 * provided that the above copyright notice and this paragraph are
 * duplicated in all such forms and that any documentation,
 * advertising materials, and other materials related to such
 * distribution and use acknowledge that the software was developed
 * by the Department of Computer Science, University College London.
 * The name of the University may not be used to
 * endorse or promote products derived from this software without
 * specific prior written permission.
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
 * WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

/* moidcopy.c - copy a MO_ID */

/*
 * By Simon Walton, October 1988
 */

#include <stdio.h>
#include "isode/psap2.h"
#include "msap.h"

extern char * malloc();

MO_ID * moid_cpy (moid)
MO_ID * moid;
{
MO_ID * newmoid;
if ( (newmoid = (MO_ID*) malloc(sizeof(*newmoid))) == NULL)
    return (NULL);
bcopy((char*) moid, (char*) newmoid, sizeof (*newmoid));
if (oid_copy(&moid -> rdntype, &newmoid -> rdntype) == NULL) return (NULL);
if (moid -> Next != NULL)
    if ( (newmoid -> Next = moid_cpy(moid -> Next)) == NULL) return (NULL);
return (newmoid);
}
